请问,百度搜的linux版的软件为什么都不能安装?

18.04、16.04、14.04
回复
拔列兰博
帖子: 1
注册时间: 2017-04-10 13:46
系统: ubuntu
送出感谢: 0
接收感谢: 0

请问,百度搜的linux版的软件为什么都不能安装?

#1

帖子 拔列兰博 » 2017-04-10 13:50

比如搜狗拼音,搜狗浏览器,wps之类的。谢谢!
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1957 次

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#2

帖子 poloshiao » 2017-04-10 14:47

套件相依 是很重要的成份
安裝時 會順便把 相依套件及遞迴相依套件 安裝
這裡所謂的相依套件及遞迴相依套件 包含套件版本需要合適
每個 Ubuntu 的發行版 其相依套件及遞迴相依套件 都是重新檢查過或打包過 再放到 Ubuntu 官方套件庫 或 PPA 套件庫
所以 最好從 Ubuntu 官方套件庫 安裝該套件

任意下載的 Linux 的 程式套件 如果碰到相依套件未滿足(包含 版本 不滿足)
需要手動一一解決了 才能成功安裝該套件
头像
tang.zhe
帖子: 1460
注册时间: 2010-07-15 13:31
送出感谢: 79 次
接收感谢: 24 次

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#3

帖子 tang.zhe » 2017-04-10 16:35

头像
TeliuTe
论坛版主
帖子: 7595
注册时间: 2007-11-25 13:29
系统: 14/16/18/Fedroa22/w7
来自: 新疆博乐
送出感谢: 30 次
接收感谢: 106 次
联系:

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#4

帖子 TeliuTe » 2017-04-10 17:43

下载下来的deb包,点右键用gdebi打开安装比较方便,gdebi要自己安装
tar的直接解压就可以用
头像
jobinson99
帖子: 1169
注册时间: 2007-04-28 15:14
系统: NixOS+虚拟机各种系统
送出感谢: 0
接收感谢: 5 次
联系:

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#5

帖子 jobinson99 » 2017-04-11 7:17

不推荐这种安装方式,有新立得+ppa之类包管理工具可以完整管理为何不用?
黑色的不是眼睛,而是眼圈
关注和实现科技领域未来3年内有大规模普及潜力、能改善穷人生活品质的技术/应用。
NixOS + lxqt + 无人生产线 + 无人农场 (已发明全套山地农业机械 + 线性喷洒系统,成片农业采收系统)+ 随身设备,柔性电路,冷热双调衣……
qadqingkong
帖子: 83
注册时间: 2011-07-02 11:08
送出感谢: 0
接收感谢: 0

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#6

帖子 qadqingkong » 2017-04-26 13:22

搜狗浏览器是啥?
WPS 搜狗拼音 亲测 均可以正常安装
先看看下的是deb的不?

国产这些浏览器只有傲游出过一个吧?而且N久前就不更新了
qadqingkong
帖子: 83
注册时间: 2011-07-02 11:08
送出感谢: 0
接收感谢: 0

Re: 请问,百度搜的linux版的软件为什么都不能安装?

#7

帖子 qadqingkong » 2017-04-26 16:13

我倒是觉得商业闭源软件可以考虑使用snap方式发布。。。。。
这样更方便

哪怕不是snap也需要采用类似的技术进行发布
回复

回到 “LTS 长支持版”